From d641364bccec051761a9360453162929ef77ea3d Mon Sep 17 00:00:00 2001
From: Heikki Linnakangas <heikki.linnakangas@iki.fi>
Date: Mon, 22 Jan 2024 17:44:20 +0200
Subject: [PATCH 1/1] Enable injection points in cirrus CI

---
 .cirrus.tasks.yml | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

diff --git a/.cirrus.tasks.yml b/.cirrus.tasks.yml
index e137769850d..0eacbbf3721 100644
--- a/.cirrus.tasks.yml
+++ b/.cirrus.tasks.yml
@@ -172,7 +172,7 @@ task:
     su postgres <<-EOF
       meson setup \
         --buildtype=debug \
-        -Dcassert=true -Duuid=bsd -Dtcl_version=tcl86 -Ddtrace=auto \
+        -Dcassert=true -Dinjection_points=true -Duuid=bsd -Dtcl_version=tcl86 -Ddtrace=auto \
         -DPG_TEST_EXTRA="$PG_TEST_EXTRA" \
         -Dextra_lib_dirs=/usr/local/lib -Dextra_include_dirs=/usr/local/include/ \
         build
@@ -327,7 +327,7 @@ task:
       configure_script: |
         su postgres <<-EOF
           ./configure \
-            --enable-cassert --enable-debug --enable-tap-tests \
+            --enable-cassert --enable-injection-points --enable-debug --enable-tap-tests \
             --enable-nls \
             --with-segsize-blocks=6 \
             \
@@ -357,7 +357,7 @@ task:
         su postgres <<-EOF
           meson setup \
             --buildtype=debug \
-            -Dcassert=true \
+            -Dcassert=true -Dinjection_points=true \
             ${LINUX_MESON_FEATURES} \
             -DPG_TEST_EXTRA="$PG_TEST_EXTRA" \
             build
@@ -370,7 +370,7 @@ task:
           export CC='ccache gcc -m32'
           meson setup \
             --buildtype=debug \
-            -Dcassert=true \
+            -Dcassert=true -Dinjection_points=true \
             ${LINUX_MESON_FEATURES} \
             -Dllvm=disabled \
             --pkg-config-path /usr/lib/i386-linux-gnu/pkgconfig/ \
@@ -482,7 +482,7 @@ task:
       --buildtype=debug \
       -Dextra_include_dirs=/opt/local/include \
       -Dextra_lib_dirs=/opt/local/lib \
-      -Dcassert=true \
+      -Dcassert=true -Dinjection_points=true \
       -Duuid=e2fs -Ddtrace=auto \
       -DPG_TEST_EXTRA="$PG_TEST_EXTRA" \
       build
@@ -556,7 +556,7 @@ task:
   # Use /DEBUG:FASTLINK to avoid high memory usage during linking
   configure_script: |
     vcvarsall x64
-    meson setup --backend ninja --buildtype debug -Dc_link_args=/DEBUG:FASTLINK -Dcassert=true -Db_pch=true -Dextra_lib_dirs=c:\openssl\1.1\lib -Dextra_include_dirs=c:\openssl\1.1\include -DTAR=%TAR% -DPG_TEST_EXTRA="%PG_TEST_EXTRA%" build
+    meson setup --backend ninja --buildtype debug -Dc_link_args=/DEBUG:FASTLINK -Dcassert=true -Dinjection_points=true -Db_pch=true -Dextra_lib_dirs=c:\openssl\1.1\lib -Dextra_include_dirs=c:\openssl\1.1\include -DTAR=%TAR% -DPG_TEST_EXTRA="%PG_TEST_EXTRA%" build
 
   build_script: |
     vcvarsall x64
@@ -616,7 +616,7 @@ task:
 
   # disable -Dnls as the number of files it creates cause a noticable slowdown
   configure_script: |
-    %BASH% -c "meson setup -Ddebug=true -Doptimization=g -Dcassert=true -Db_pch=true -Dnls=disabled -DTAR=%TAR% build"
+    %BASH% -c "meson setup -Ddebug=true -Doptimization=g -Dcassert=true -Dinjection_points=true -Db_pch=true -Dnls=disabled -DTAR=%TAR% build"
 
   build_script: |
     %BASH% -c "ninja -C build"
-- 
2.39.2

